import type { _CLSActivityItem } from "./CLSActivityItem.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { CLSBinaryValueType } from "./CLSBinaryValueType.js";
export declare class _CLSBinaryItem extends _CLSActivityItem {
    static alloc(): _CLSBinaryItem;
    static new(): _CLSBinaryItem;
    init(): _CLSBinaryItem;
    /**
     * Create an item that represents a binary value Title of the CLSBinaryItem. An identifier that is unique within its owning activity. The type of binary value. Ex. pass or fail.
     */
    initWithIdentifier$title$type$(identifier: _NSString, title: _NSString, valueType: CLSBinaryValueType): _CLSBinaryItem;
    /** True or false value. */
    value(): boolean;
    setValue$(value: boolean): void;
    /**
     * Value type of this CLSBinaryItem. The type that best describes this CLSBinaryItem value.
     */
    valueType(): CLSBinaryValueType;
}
